%bcond_with ssl

%define major 30
%define sslmajor 27
%define xsslmajor 0
%define xxmajor 28
%define libname %mklibname %{name} %{major}
%define libssl %mklibname %{name}-ssl %{sslmajor}
%define libxssl %mklibname %{name}-xssl %{xsslmajor}
%define libxx %mklibname %{name}xx %{xxmajor}

%define libname_orig lib%{name}
%define develname %mklibname %{name} -d
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Library providing a secure layer (SSL)
Name:		gnutls
Version:	3.5.12
Release:	%mkrel 1
License:	LGPLv2+
Group:		Security
URL:		http://www.gnutls.org
Source0:	ftp://ftp.gnutls.org/gcrypt/gnutls/v%{url_ver}/%{name}-%{version}.tar.xz
#----------------------------------------------
BuildRequires:	liblzo-devel
BuildRequires:	nettle-devel
BuildRequires:	libtasn1-devel
BuildRequires:	p11-kit-devel
BuildRequires:  opencdk-devel
BuildRequires: %{_lib}gmp-devel
BuildRequires: %{_lib}idn-devel
BuildRequires: %{_lib}nettle-devel
BuildRequires:	texinfo
#---------------------------------------------
Requires:	%{libname} = %{version}

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%package -n %{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%if %{with ssl}
%package -n %{libssl}
Summary:        Library providing a secure layer (SSL)
Group:          System/Libraries
Requires:	%{libname} = %{version}

%description -n %{libssl}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.
%endif

%package -n	%{libxx}
Summary:        Library providing a secure layer (SSL)
Group:          System/Libraries


%description -n	%{libxx}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--with-included-libtasn1=no \
	--with-libz-prefix=%{_prefix} \
	--with-packager="pclinuxos" \
	--with-packager-version="2017" \
	--with-packager-bug-reports="https://pclinuxos.com" \
	--disable-gtk-doc-html \
	--disable-rpath \
	--disable-guile

%make


%install
rm -rf  %{buildroot}
%makeinstall_std

%{find_lang} %{name} %{name} libgnutls

rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_docdir}/%{name}

%post
%_install_info gnutls.info

%postun
%_remove_install_info gnutls.info

%files -f %{name}.lang 
%defattr(-,root,root)
%{_bindir}/[cgs]*
%{_bindir}/psktool
%{_bindir}/p11tool
%{_bindir}/ocsptool
%{_mandir}/man?/*
%{_infodir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgnutls.so.%{major}
%{_libdir}/libgnutls.so.%{major}.*

%files -n %{libxx}
%{_libdir}/libgnutlsxx.so.%{xxmajor}
%{_libdir}/libgnutlsxx.so.%{xxmajor}.*

%if %{with ssl}
%files -n %{libssl}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{sslmajor}*
%{_libdir}/lib*.so.%{xsslmajor}*
%endif


%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnutls

%clean
rm -rf %{buildroot}

%changelog
* Mon Aug 07 2017 adrianomorselli <adrianomorselli> 3.5.12-1uplos2017
- update
